Bug 986232 - No figure space in liberation mono
No figure space in liberation mono
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: liberation-fonts (Show other bugs)
23
Unspecified Windows
unspecified Severity medium
: ---
: ---
Assigned To: Pravin Satpute
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-19 05:37 EDT by guy.guilmette+redhat
Modified: 2016-12-20 04:27 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 04:27:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description guy.guilmette+redhat 2013-07-19 05:37:02 EDT
Description of problem: There is no figure space character

Version-Release number of selected component (if applicable): 2.00.1

How reproducible: Always


Steps to Reproduce:
1. Use a figure space: . 

Actual results: Missing character

Expected results: Space equal to one character width

Additional info:
Comment 1 Pravin Satpute 2013-07-22 03:00:39 EDT
In Unicode Standard written as 

"U+2007 figure space has a fixed width, known
as tabular width, which is the same width as digits used in tables."

So i think it should be same a number width. 

Looks fine. All Liberation Mono, Sans and Serif has the same width Digits. Will fix in next release.
Comment 2 Pravin Satpute 2013-07-22 04:42:10 EDT
It was only missing in Liberation Mono 2.00.1. 

Added it with commit https://git.fedorahosted.org/cgit/liberation-fonts.git/commit/?id=eb831861c23f9b34f67df31886dde9c9891426c0

Will be available with the next release.
Comment 3 Fedora End Of Life 2013-09-16 13:01:53 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 4 Fedora End Of Life 2015-05-29 05:12:00 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-06-29 21:23:07 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Fedora End Of Life 2016-11-24 06:00:09 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Pravin Satpute 2016-12-20 04:27:24 EST
I will close this as fixed  upstream. Will be available with next release.

Note You need to log in before you can comment on or make changes to this bug.